<div fxLayout="column" *ngIf="menu && menu.length > 0 ; else showLoading;">
  <div fxLayout="column" *ngFor="let data of menu">
    <div fxLayout="row" fxLayoutAlign="space-between center" style="border-bottom: 1px solid rgba(0,0,0,0.1);">
      <div fxLayout="row" fxLayoutGap="50px" style="padding: 20px; ">
        <span><b>{{data.section.name}}</b></span>
        <!--<span style="color:green; font-weight: bold; cursor:pointer" (click)="openEditModal(data)">Modifier</span>-->
      </div>
      <span style="border-radius:5px; padding:10px; cursor:pointer; margin-right: 10px;margin:5px ;color:#24d06d;"
        (click)="openEditModal(data)">
        {{ 'EDIT' | translate }}
      </span>

    </div>
    <div fxLayout="row" fxLayoutAlign="space-between center"
      style="border-bottom: 1px solid rgba(0,0,0,0.1); padding: 20px 10px  "
      *ngFor="let item of data.items | mapToIterable">
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="cursor: pointer"
          (click)="editItem(item.val.item, data.section)">
          <img *ngIf="item.val.item.thumb.url" [width]="item.val.item.thumb.width" [height]="item.val.item.thumb.height"
            class="itemThumb" [src]="item.val.item.thumb.url" style="width:60px;height:60px;border-radius:15px" />
          <span> {{item.val.item.name}} </span>
        </div>
      </div>
      <span style="white-space: nowrap"> <b>{{item.val.item.price}} DA</b></span>
    </div>
  </div>

  <div fxLayoutAlign="center center" style="margin:20px">
    <button class="btn btn-sauvegarder" (click)="AddSecModal()">{{ 'ADD_NEW_SECTION' | translate }} </button>
  </div>
</div>

<ng-template #showLoading>
  <app-loading-spinner></app-loading-spinner>
</ng-template>



<ng-template #content let-modal>
  <h5 class="modal-title">{{target?.section}}</h5>
  <div class="modal-header"
    style="display:inline-flex; align-items:center; justify-content:center; position: relative; background-color: #f4f4f4; height: 150px"
    [ngStyle]="{'background-size': '100% 100%',
    'background-image': (isUpdate && !imageUpdated ) ? 'url('+target?.image?.url+')' : 'url('+newDishPicUrl+')' } ">
    <img src="assets/images/takePicture.png" height="60px" />
    <input type="file" hidden #pic accept=".jpg, .jpeg, .png" (change)="onFileSelect($event)" />
    <button type="button" class="btn btn-light"
      style="position: absolute; right:10px; top: 82%; border-radius: 50%; z-index: 999;height: 50px; width: 50px "
      (click)="pic.click()">
      <img src="assets/images/cam.png" style="width:25px;" alt="">
    </button>
  </div>
  <div class="modal-body" fxLayout="column" fxLayoutGap="10px" fxLayoutOffset="40px" style="padding: 30px 5px 5px 5px">
    <form [formGroup]="dishForm">
      <div class="form-group">
        <input type="text" class="form-control" formControlName="name"
          [placeholder]="dishForm.controls['name'].value || ('DISH_NAME' | translate)">
        <div *ngIf="!dishForm.controls['name'].valid&&dishForm.controls['name'].dirty">
          <div class="help-block" *ngIf="dishForm.controls['name'].errors['required']">{{ 'REQUIRED' | translate }}
          </div>
          <div class="help-block" *ngIf="dishForm.controls['name'].errors['minlength']">
            {{ 'NUMBER_CARACTER' | translate }}
          </div>
          <div class="help-block" *ngIf="dishForm.controls['name'].errors['maxlength']">
            {{ 'MAX_CHARACTER' | translate }}</div>
        </div>
      </div>

      <div class="form-group">
        <input type="text" class="form-control" formControlName="description"
          [placeholder]="dishForm.controls['description'].value || ('DISH_DESCRIPTION' | translate) ">
        <div *ngIf="!dishForm.controls['description'].valid&&dishForm.controls['description'].dirty">
          <div class="help-block" *ngIf="dishForm.controls['description'].errors['maxlength']">
            {{ 'LONG_DESCRIPTION' | translate }}
          </div>
        </div>
      </div>

      <div class="form-group">
        <input class="form-control" type="number" formControlName="price" style="width: 80%"
          [placeholder]="dishForm.controls['price'].value || ('DISH_PRICE' | translate) ">
      </div>
    </form>

    <div fxLayout="column" style="padding-left: 10px" fxLayoutGap="6px">
      <p><b>{{ 'ADD_NEW_OPTION' | translate }}</b></p>
      <div *ngFor="let option of options" style="padding-left: 10px" fxLayout="column" fxLayoutGap="10px">
        <div fxLayout="row" fxLayoutAlign="start center">
          <!--        <input type="checkbox"
                                 [value]="option.group.id"
                                 [checked]="selectedOptionsCategory.indexOf(option.group.id) !== -1 "
                                 [ngStyle]="{ 'font-weight' : 'bold' }" (change)="selectAllOption($event, option)"
                          />!-->
          <span (click)="selectAllOption($event, option)" style="cursor: pointer"><b>{{option.group.name}}</b></span>
          <span title="(min,max)" style="color: #10648b;">&nbsp;{{'('+option.group.min+','+option.group.max+')'}}</span>

        </div>

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="40px"
          *ngFor="let item of option.options;let i=index" style="padding-left: 20px;">
          <label class="checkBox">
            <span style="font-size: 0.6em; font-weight: bold; padding-bottom: 5px;">{{item?.option?.name}}</span>
            <input type="checkbox" (change)="checkIfAllSectionSelected($event, item.option.id)" [value]="item.option.id"
              [checked]="isCheckedOption(item.option.id) != -1 ">
            <span class="checkmark"> </span>
          </label>

        </div>

      </div>
    </div>

  </div>
  <div class="modal-footer" fxLayout="row" fxLayoutAlign="space-between center">
    <span>
      <button type="button" class="btn" (click)="openDeleteModel()" data-dismiss="modal"><img
          src="assets/images/delete.png" style="width:20px;height:20px" /></button>
    </span>

    <span fxLayoutGap="10px">
      <button type="button" class="btn " (click)="modal.close('Close click'); clearArtifact()"
        data-dismiss="modal"><b>{{ 'RETURN' | translate }}</b></button>
      <button type="button" class="btn btn-sauvegarder" [disabled]="!dishForm.valid" #btn
        (click)="handleDishForm(btn)">{{ 'SAVE' | translate }}</button>

    </span>

  </div>
</ng-template>


<ng-template #deleteModal let-deleteModal>
  <h3 class="modal-title" style="padding: 1rem 0rem 0rem 1rem">{{ 'DELETE_CONFIRMATION' | translate }}</h3>
  <div class="modal-body" style="padding: 0.5rem 1rem 1rem 1rem">
    {{ 'ASKING_FOR_DELETE' | translate }} {{selectedItem?.name}}
  </div>
  <div class="modal-footer" style="border-top: #ffffff">
    <button class="btn btn-outline" (click)='deleteModal.close()' type="button">{{ 'CANCEL' | translate }} </button>
    <button #btnDlt class="btn btn-sauvegarder" type="button"
      (click)='deleteItem(btnDlt)'>{{ 'VALIDATE' | translate }}</button>
  </div>
</ng-template>

<ng-template #deleteSectionModal let-deleteModal>
  <h3 class="modal-title" style="padding: 1rem 0rem 0rem 1rem">{{ 'DELETE_CONFIRMATION' | translate }}</h3>
  <div class="modal-body" style="padding: 0.5rem 1rem 1rem 1rem">
    {{ 'ASKING_FOR_DELETE' | translate }} {{sectionInfo?.name}}
  </div>
  <div class="modal-footer" style="border-top: #ffffff">
    <button class="btn btn-outline" (click)='deleteModal.close()' type="button">{{ 'CANCEL' | translate }}</button>
    <button #btnDlt class="btn btn-sauvegarder" type="button"
      (click)='deleteSection(btnDlt)'>{{ 'VALIDATE' | translate }}</button>
  </div>
</ng-template>


<ng-template #addSectionModal let-addSectionModal>
  <div class="modal-header" style="border-bottom: #ffffff">
    <h5 class="modal-title">{{ 'ADD_NEW_SECTION' | translate }}</h5><br><br><br>
  </div>
  <div class="modal-body" fxLayout="column" fxLayoutGap="15px" style="padding: 20px; height: 80px">
    <div fxLayout="row" fxLayoutAlign="space-between center">
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="height: 3rem">
        <div class="form-group">
          <input type="text " class="form-control border-input" placeholder="{{'SECTION_NAME' | translate}}"
            [(ngModel)]="sectionData.name" style="width:20rem"><br>
          <button type="button" class="btn " (click)="addDish(btn)"
            style="border-color: #24d06d;color:#24d06d;margin-left: 8rem">{{ 'ADD_DISH' | translate }}</button><br><br><br>
        </div>
      </div>
    </div>

  </div>

  <div class="modal-footer" fxLayout="row" fxLayoutAlign="space-between center">
    <span>
      <button type="button" class="btn" (click)="openDeleteSectionModal()" data-dismiss="modal"><img
          src="assets/images/delete.png" style="width:20px;height:20px" /></button>
    </span>

    <span fxLayoutGap="10px">
      <button type="button" class="btn " (click)="addSectionModal.close('Close click');"
        data-dismiss="modal">{{ 'RETURN' | translate }}</button>
      <button type="button" class="btn btn-sauvegarder" (click)="addSection()">{{ 'SAVE' | translate }}</button>

    </span>

  </div>

</ng-template>
<ng-template #AddSectionsModal let-AddSectionsModal>
  <div class="modal-header" style="border-bottom: #ffffff">
    <h5 class="modal-title">{{ 'ADD_NEW_SECTION' | translate }}</h5><br><br><br>
  </div>
  <div class="modal-body" fxLayout="column" fxLayoutGap="15px" style="padding: 20px; height: 80px">
    <div fxLayout="row" fxLayoutAlign="space-between center">
      <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px" style="height: 3rem">
        <div class="form-group">
          <input type="text " class="form-control border-input" placeholder="{{'SECTION_NAME' | translate}}"
            [(ngModel)]="sectionData.name" style="width:20rem"><br>
        </div>
      </div>
    </div>

  </div>

  <div class="modal-footer" fxLayout="row" fxLayoutAlign="end end">
    <!-- <span>
      <button type="button" class="btn" (click)="openDeleteSectionModal()" data-dismiss="modal"><img
          src="assets/images/delete.png" style="width:20px;height:20px" /></button>
    </span> -->

    <span fxLayoutGap="10px">
      <button type="button" class="btn " (click)="AddSectionsModal.close('Close click');"
        data-dismiss="modal">{{ 'RETURN' | translate }}</button>
      <button type="button" class="btn btn-sauvegarder" (click)="addSection()">{{ 'SAVE' | translate }}</button>

    </span>

  </div>

</ng-template>